Bug 470723 - F10Pre unusable on hp6715s [Performance Issues]
Summary: F10Pre unusable on hp6715s [Performance Issues]
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: i686
OS: Linux
high
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F10KernelBlocker
TreeView+ depends on / blocked
 
Reported: 2008-11-09 15:37 UTC by dex
Modified: 2008-11-12 18:41 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-11-12 18:41:18 UTC
Type: ---


Attachments (Terms of Use)
dmesg (45.94 KB, text/plain)
2008-11-09 15:37 UTC, dex
no flags Details
lspci (12.58 KB, text/plain)
2008-11-09 15:39 UTC, dex
no flags Details
mtrr (269 bytes, text/plain)
2008-11-09 15:41 UTC, dex
no flags Details
cpuinfo (1.35 KB, text/plain)
2008-11-09 15:42 UTC, dex
no flags Details
interrupts (1.18 KB, text/plain)
2008-11-09 15:43 UTC, dex
no flags Details

Description dex 2008-11-09 15:37:38 UTC
Created attachment 323006 [details]
dmesg

Description of problem:
Major performance issues ~10mins from grub screen to autologin! at which point the gui (kde4) is unusable, studying dmesg some things jump out at my untrained eye.
1. ACPI Error (tbfadt-0453): 32/64X address mismatch in "Pm2ControlBlock": [00008800] [0000000000008100], using 64X [20080609]
2. MP-BIOS bug: 8254 timer not connected to IO-APIC
3. mtrr: base(0xc10b0000) is not aligned on a size(0x640000) boundary
4. APIC error on CPU0: 00(40)


Additional info:
see logs: 
dmesg
lspci
/proc/mtrr
/proc/cpuinfo
/proc/interrupts

Comment 1 dex 2008-11-09 15:39:38 UTC
Created attachment 323007 [details]
lspci

lspci -vvv

Comment 2 dex 2008-11-09 15:41:03 UTC
Created attachment 323008 [details]
mtrr

mtrr

Comment 3 dex 2008-11-09 15:42:38 UTC
Created attachment 323009 [details]
cpuinfo

cpuinfo

Comment 4 dex 2008-11-09 15:43:59 UTC
Created attachment 323010 [details]
interrupts

interrupts

Comment 5 dex 2008-11-09 15:53:36 UTC
This is with 32bit kde live-usb & 2x64bit system.

Comment 6 Chuck Ebbert 2008-11-10 23:04:35 UTC
Can you get /proc/mtrr from an older release (that works at normal speed?)

Comment 7 Chuck Ebbert 2008-11-11 03:09:29 UTC
Can you try adding:

  acpi_skip_timer_override

to the kernel boot options?

Comment 8 Chuck Ebbert 2008-11-12 00:05:23 UTC
Should be fixed in 2.6.27.5-100

Comment 9 dex 2008-11-12 06:45:33 UTC
re-spinning rawhide with 2.6.27.5-100

Comment 10 dex 2008-11-12 07:18:17 UTC
Success! performance is back shout if you need more info. thanks

note:acpi_skip_timer_override on F10Pre seemed to kill wireless.


Note You need to log in before you can comment on or make changes to this bug.